<?php

require_once 'model/Clientes.Model.php';
require_once 'model/Utils.Model.php';

class ClientesController
{
    public $Clientes_Model;
    public $Utils_Model;
           
    public function __CONSTRUCT()
    {
        $this->Clientes_Model = new Clientes();
        $this->Utils_Model = new Utils();
    }
    
    public function Index()
    {
      
       require_once 'views/clientes_lista.php';  
     
    }

    
    public function datos()
    {
        // llamado cuando se esta modificando un registro de cliente en particular y/o se crea uno */
        // class="aui-kit-actionbutton" data-href ="clientes-datos"
        //--------------------------------------------------------------

        // recuperamos los datos del cliente si se ha recibod uno, es modificacion
        // sino se recibe ninguno, es nuevo registro


        

        $CurId = isset($_REQUEST['id']) ? $_REQUEST['id'] : ""; 

      
        if($CurId <> '')
            { 

               
                    foreach($this->Clientes_Model->listar($CurId) as $dataReg)
                   
                    //solo el codigo que ya posee
                    //$aLstActividad =$this->Utils_Model->mh_listar_actividades($cod_actividad);
                    
                    // todos los codigos de actividad economica
                    $aLstActividad =$this->Utils_Model->mh_listar_actividades('');

                      // todos los codigos de actividad economica
                    $aLstDeptos =$this->Utils_Model->mh_listar_departamentos('');

                      // todos los codigos de actividad economica
                    $aLstMunicipios =$this->Utils_Model->mh_listar_municipios('');

                    require_once 'views/clientes_datos.php';  
                   
                                
                   // $cod_actividad = $dataClient->mh_codactividad[];
              
                   // $LstActividades = $this->Utils_Model->mh_listar_actividades();

                    /*
                    foreach($LstActividades as $lA)
                    {
                        print $lA->valor;
                    }
                    */
                      
                          
                   


                }
        else
                {
                    print 'ER-No hay coincidencias...';
                }
      
    
    
    }
  
    
    public function new()
    {
       
        $CurId = '-1'; 

   

                    // Recuperando strucutra vacia
                    foreach($this->Clientes_Model->listar($CurId) as $dataReg)
                   
                    //solo el codigo que ya posee
                    //$aLstActividad =$this->Utils_Model->mh_listar_actividades($cod_actividad);
                    
                    // todos los codigos de actividad economica
                    $aLstActividad =$this->Utils_Model->mh_listar_actividades('');

                      // todos los codigos de actividad economica
                    $aLstDeptos =$this->Utils_Model->mh_listar_departamentos('');

                      // todos los codigos de actividad economica
                    $aLstMunicipios =$this->Utils_Model->mh_listar_municipios('');

                    require_once 'views/clientes_datos.php';  
                   
        
    
    }
  
    
    
    public function grabar()
    {

        $idcliente = isset($_REQUEST['idcliente']) ? $_REQUEST['idcliente'] : ''; 
        $id = isset($_REQUEST['id']) ? $_REQUEST['id'] : ''; 
        $nombreleg = isset($_REQUEST['nombreleg']) ? $_REQUEST['nombreleg']: ''; 
        $nombrecom  = isset($_REQUEST['nombrecom']) ? $_REQUEST['nombrecom']: ''; 
        $nombre1 = isset($_REQUEST['nombre1']) ? $_REQUEST['nombre1']: ''; 
        $nombre2 = isset($_REQUEST['nombre2']) ? $_REQUEST['nombre2']: ''; 
        $apellido1 = isset($_REQUEST['apellido1']) ? $_REQUEST['apellido1']: ''; 
        $apellido2 = isset($_REQUEST['apellido2']) ? $_REQUEST['apellido2']: ''; 
        $nit = isset($_REQUEST['nit']) ? $_REQUEST['nit']: ''; 
        $dui = isset($_REQUEST['dui']) ? $_REQUEST['dui']: ''; 
        $mh_departamento = isset($_REQUEST['mh_departamento']) ? $_REQUEST['mh_departamento']: ''; 
        $mh_municipio = isset($_REQUEST['mh_municipio']) ? $_REQUEST['mh_municipio']: ''; 
        $mh_codactividad = isset($_REQUEST['mh_codactividad']) ? $_REQUEST['mh_codactividad']: ''; 
    
        $activo =  isset($_REQUEST['activo']) ? $_REQUEST['activo'] : '0';
        $activo = ($activo =='on') ? '1':'0';

        $registro = isset($_REQUEST['registro']) ? $_REQUEST['registro']: ''; 
        $contacto = isset($_REQUEST['contacto']) ? $_REQUEST['contacto']: ''; 
      
        $tel1residencia = isset($_REQUEST['telefono']) ? $_REQUEST['telefono'] : ''; 
        $dirresidencia = isset($_REQUEST['direccion']) ? $_REQUEST['direccion'] : ''; 
        $email = isset($_REQUEST['email']) ? $_REQUEST['email'] : ''; 
        $tipopersona = isset($_REQUEST['tipopersona']) ? $_REQUEST['tipopersona'] : ''; 
       
        $exento =  isset($_REQUEST['exento']) ? $_REQUEST['exento'] : '0';
        $exento = ($exento =='on') ? '1':'0';

           
         foreach($this->Clientes_Model->grabar($idcliente,$id,$nombreleg,$nombrecom,$nombre1,$nombre2,$apellido1,$apellido2,$dui,$nit,$mh_departamento,$mh_municipio,$mh_codactividad,$activo,$registro,$contacto,$tel1residencia,$dirresidencia,$email,$tipopersona,$exento) as $p)
          {
                 
              $CurCod = substr($p->error_msg,0,2);
              $CurRest = substr($p->error_msg,2,500);

              if($CurCod =='OK')
              {
                    echo '<label>'.$CurRest.'</label>';
                    echo '<li class="breadcrumb-item clientes-actionbutton-link" data-href="clientes" title="Volver a clientes" >Volver a clientes</a></li>';
              }
              else
              {
                print $p->error_msg;
              }     
          
          }


    }
  
      public function invalidar()
    {

        $id = isset($_REQUEST['id']) ? $_REQUEST['id'] : ''; 
        
      

         foreach($this->Clientes_Model->eliminar($id) as $p)
          {
                 
                if(substr($p->error_msg,0,2) =='OK')
                {
                    echo "OK-Registro se ha eliminado exitosamente";
                }
                else
                {
                    echo $p->error_msg;
                }
                
           
                
            }
            

         }





   
  
}